#
# spec file for package python-jupyter_calysto
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
%bcond_with     test
Name:           python-jupyter_calysto
Version:        1.0.6
Release:        bp153.1.14
# The package license is listed as BSD-2-Clause but contains GPL-3.0 code for now, see https://github.com/Calysto/calysto/issues/11
License:        GPL-3.0
Summary:        Libraries and Languages for Jupyter
Url:            https://github.com/Calysto/calysto
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/c/calysto/calysto-%{version}.zip
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
%if %{with test}
BuildRequires:  %{python_module CairoSVG}
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module jupyter_ipython}
BuildRequires:  %{python_module jupyter_ipywidgets}
BuildRequires:  %{python_module jupyter_metakernel}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pexpect}
BuildRequires:  %{python_module svgwrite}
%endif
Requires:       python-CairoSVG
Requires:       python-jupyter_ipython
Requires:       python-jupyter_ipywidgets
Requires:       python-jupyter_metakernel
Requires:       python-numpy
Requires:       python-svgwrite
%ifpython3
Requires:       python3-jupyter_calysto
%endif
Recommends:     python-Pillow
Recommends:     python-pexpect
BuildArch:      noarch

%python_subpackages

%description
Libraries and Languages for Python and Jupyter.

%prep
%setup -q -n calysto-%{version}

%build
%python_build

%install
%python_exec setup.py install -O1 --skip-build --force  --root=%{buildroot} --prefix=%{_prefix} --install-data=%{_datadir} 
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python_sitelib}/*
%python3_only %{_datadir}/calysto/

%changelog
* Wed May 30 2018 toddrme2178@gmail.com
- Skip python2, since some dependencies are not available.
* Thu May  3 2018 toddrme2178@gmail.com
- Update to 1.0.5
  * Add license file to source archive
* Thu May  3 2018 toddrme2178@gmail.com
- Add license
- Package readme
- Use %%license tag
* Thu Jan 18 2018 toddrme2178@gmail.com
- Fix installation.
- Update to 1.0.5
  * Use ipywidgets 5, 6, or 7
  * Added simulation_magic
  * Fixed graphics canvas toGIF/PNG/PIL
  * Clean up CameraWidget
* Sun Oct 22 2017 toddrme2178@gmail.com
- Initial version
